sane-matsushita(5)

NUME
sane-matsushita - controlor SANE pentru scanerele de mare viteză Panasonic KV-SS

DESCRIERE
Biblioteca sane-matsushita implementează un controlor SANE (Scanner Access Now Easy) care oferă acces la unele scanere de mare viteză Panasonic KV-SS. Acest controlor este stabil.

În prezent, se știe că următoarele scanere funcționează cu acest controlor:

      Id produs
    --------------
       KV-SS25
       KV-SS25D
       KV-SS55EX (*)
       KV-S2025C (*)
       KV-S2045C (*)
       KV-S2065L (*)

(*) AVERTISMENT: Niciuna dintre opțiunile avansate ale acestor scanere nu este disponibilă (de exemplu, nu există culoare, nu există rezoluție înaltă, nu există decupare automată). Practic, controlorul nu face mai mult decât ceea ce face pentru KV-SS25. Nu am acces la astfel de scanere și, prin urmare, nu pot adăuga aceste opțiuni.

Alte scanere Panasonic de mare viteză pot funcționa sau nu cu acest controlor.

Opțiunile valide ale liniei de comandă și sintaxa acestora pot fi listate utilizând:

    scanimage --help -d matsushita

Mod scanare

--mode
    selectează modul de funcționare de bază al scanerului.

--resolution
    selectează rezoluția pentru o scanare. Fiecare model acceptă toate sau un subset al acestor rezoluții: 100, 150, 200, 240, 300, 360, 400.

--duplex
    indică dacă se scanează ambele fețe ale foii.

--feeder-mode
    selectează numărul de pagini de scanat (una sau până când tava este goală).

Geometrie:

--paper-size A4|...|Legal|Letter [A4]
    selectează zona de scanat. Acesta ajustează opțiunile -l -t -x -y în consecință. Nu este necesar să fie dimensiunea reală a hârtiei.

-l -t -x -y
    controlează zona de scanare: „-l” stabilește coordonata x din stânga sus, „-t” coordonata y din stânga sus, „-x” selectează lățimea și „-y” înălțimea zonei de scanare. Toți parametrii sunt specificați în milimetri. Este posibil să se utilizeze în schimb opțiunea --paper-size.

Opțiuni de îmbunătățire:

--brightness
    controlează luminozitatea imaginii achiziționate. Valoarea variază de la 1 la 255, sau mai puțin, în funcție de modelul de scaner.

--contrast
    controlează luminozitatea imaginii achiziționate. Valoarea variază de la 1 la 255, sau mai puțin, în funcție de modelul de scaner.

--automatic-threshold
    reglează automat luminozitatea, contrastul, nivelul de alb, gama, reducerea zgomotului și accentuarea imaginii. Aceste opțiuni nu sunt disponibile atunci când se utilizează pragul automat.

--halftone-pattern
    ajustează gradația tonală pentru modul semitonuri. Descărcarea modelelor nu este implementată de către controlor.

--autoseparation
    asigură separarea automată a textului și a imaginilor.

--white-level
    indică sursa de bază a albului.

--noise-reduction
    reduce zgomotul punctelor izolate. Această opțiune nu este acceptată de toate scanerele.

--image-emphasis
    stabilește accentuarea imaginii. Unele selecții nu sunt disponibile pe toate scanerele.

--gamma
    stabilește curba gamma. Este valabilă numai pentru modurile de gri și nu este disponibilă pe toate scanerele. Descărcarea gamma nu este implementată de către controlor.

FIȘIER DE CONFIGURARE
Fișierul de configurare /etc/sane.d/matsushita.conf include numele dispozitivului care trebuie utilizat (de exemplu, /dev/scanner) și opțiunea SCSI pentru detectarea automată a scanerelor acceptate.

FIȘIERE

/usr/lib/x86_64-linux-gnu/sane/libsane-matsushita.a
    Biblioteca statică care implementează acest controlor.

/usr/lib/x86_64-linux-gnu/sane/libsane-matsushita.so
    Biblioteca partajată care implementează acest controlor (prezentă pe sistemele care acceptă încărcare dinamică).

MEDIU

SANE_DEBUG_MATSUSHITA
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu controlează nivelul de depanare pentru acest controlor. De exemplu, o valoare de 128 solicită imprimarea tuturor datelor de depanare. Nivelurile mai mici reduc volumul de informații.

LIMITĂRI

Memoria din KV-SS 25
    KV-SS 25 nu are suficientă memorie internă pentru a scana o pagină A4 întreagă în modul duplex la rezoluție înaltă. În acest caz, interfața de control va returna o eroare de memorie. Aparent, KV-SS 25D nu are această problemă.

Descărcarea modelului și tabelului gamma
    Scanerul, cu firmware-ul corespunzător, poate descărca un model de semitonuri și un tabel gamma. Acest lucru nu este implementat.

Subzone
    Scanerul poate admite până la 3 subzone pe fiecare parte pentru a defini opțiuni de îmbunătățire mai precise. Acest lucru nu este implementat.

Modul duplex
    Controlorul nu acceptă definirea unor opțiuni diferite pentru fiecare dintre cele două fețe ale foii. Scanarea va avea loc cu aceleași opțiuni (model de semitonuri, luminozitate, accentuarea imaginii) pentru ambele fețe.

EXEMPLU DE SCANARE
Până în prezent, singura interfață capabilă să utilizeze acest scaner la viteza maximă este scanadf(1).

O linie de comandă scanadf(1) ar fi:

scanadf -d matsushita --output-file scan%04d.pbm --start-count 0 --duplex --resolution 300 --feeder-mode="All pages" --paper-size="A4"

ERORI
Niciuna cunoscută.

CONSULTAȚI ȘI
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTOR

Pachetul este întreținut în mod activ de Frank Zago.
    http://www.zago.net/sane/#matsushita

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.